org.richfaces.component

## Enum AbstractChartSeries.SymbolType

- java.lang.Object
- - java.lang.Enum<AbstractChartSeries.SymbolType>
  - - org.richfaces.component.AbstractChartSeries.SymbolType

- All Implemented Interfaces:
    Serializable, Comparable<AbstractChartSeries.SymbolType>
  Enclosing class:
    AbstractChartSeries

      public static enum AbstractChartSeries.SymbolType
      extends Enum<AbstractChartSeries.SymbolType>

  Point symbols for line chart

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `circle`
    `cross`
    `diamond`
    `square`
    `triangle`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractChartSeries.SymbolType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractChartSeries.SymbolType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### circle

          public static final AbstractChartSeries.SymbolType circle

    - #### square

          public static final AbstractChartSeries.SymbolType square

    - #### diamond

          public static final AbstractChartSeries.SymbolType diamond

    - #### triangle

          public static final AbstractChartSeries.SymbolType triangle

    - #### cross

          public static final AbstractChartSeries.SymbolType cross

  - ### Method Detail

    - #### values

          public static AbstractChartSeries.SymbolType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractChartSeries.SymbolType c : AbstractChartSeries.SymbolType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractChartSeries.SymbolType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.